Subject: Re: [PATCH 4/5] versioncmp: pass full tagnames to swap_prereleases()

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Sep 2016 10:49:36 -0700

SZEDER Gábor <[email-masked]> writes:

> - * Note that we don't have to deal with the situation when both p1 and
> - * p2 start with the same suffix because the common part is already
> + * Note that we don't have to deal with the situation when both s1 and
> + * s2 contain the same suffix because the common part is already
>   * consumed by the caller.

"The common part is already consumed" was relevant while the
function was fed p1 and p2, i.e. the first difference, but the whole
point of passing the original s1 and s2 with ofs is so that the
function can look behind ofs as necessary.  Is "already consumed"
still correct (or relevant) with s/p/s/ you did to its calling
convention?